Bug 428972 - Review Request: obex-data-server - a D-Bus service for Obex access
Review Request: obex-data-server - a D-Bus service for Obex access
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-16 10:17 EST by Bastien Nocera
Modified: 2008-01-22 09:40 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-22 09:40:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2008-01-16 10:17:51 EST
Spec URL: http://people.redhat.com/bnocera/obex-data-server/obex-data-server.spec
SRPM URL: http://people.redhat.com/bnocera/obex-data-server/obex-data-server-0.01-1.16012007.fc8.src.rpm
Description: obex-data-server is a D-Bus service to allow sending and receiving files using the ObexFTP and Obex Push protocols, common on mobile phones and other Bluetooth-equipped devices.
Comment 2 Parag AN(पराग) 2008-01-16 22:37:26 EST
May I know difference between gnome-obex-server command from gnome-bluetooth and
this package?

rpmlint on RPM gave =>
obex-data-server.i386: W: spurious-executable-perm
/usr/share/doc/obex-data-server-0.01/ods-session-test.py
obex-data-server.i386: W: non-conffile-in-etc
/etc/dbus-1/system.d/obex-data-server.conf
obex-data-server.i386: W: spurious-executable-perm
/usr/share/doc/obex-data-server-0.01/ods-server-test.py
obex-data-server.i386: W: summary-not-capitalized a D-Bus service for Obex access
obex-data-server.i386: W: no-url-tag
obex-data-server.i386: W: doc-file-dependency
/usr/share/doc/obex-data-server-0.01/ods-server-test.py /usr/bin/python
obex-data-server.i386: W: doc-file-dependency
/usr/share/doc/obex-data-server-0.01/ods-session-test.py /usr/bin/python

==> You may like to remove executable permissions for ods-session-test.py and
ods-server-test.py
Comment 3 Bastien Nocera 2008-01-17 05:59:15 EST
(In reply to comment #2)
> May I know difference between gnome-obex-server command from gnome-bluetooth and
> this package?

gnome-obex-server will soon die die die. This is a D-Bus service though, not a
GUI application. It allows apps that do Obex (FTP and Push, server and client)
to have a simple API.

> ==> You may like to remove executable permissions for ods-session-test.py and
> ods-server-test.py

Will do.
Comment 5 Parag AN(पराग) 2008-01-17 22:54:02 EST
build failed http://koji.fedoraproject.org/koji/getfile?taskID=355998&name=build.log
Comment 6 Bastien Nocera 2008-01-18 09:03:14 EST
It doesn't check for libtool, but uses it anyway.

Updated SRPM:
http://people.redhat.com/bnocera/obex-data-server/obex-data-server-0.01-4.16012007.fc8.src.rpm
Comment 7 Bastien Nocera 2008-01-19 12:08:47 EST
Parag, any news on the review?
Comment 8 Parag AN(पराग) 2008-01-19 22:44:04 EST
rpmlint reported following =>
obex-data-server.i386: W: non-conffile-in-etc
/etc/dbus-1/system.d/obex-data-server.conf
A non-executable file in your package is being installed in /etc, but is not
a configuration file. All non-executable files in /etc should be configuration
files. Mark the file as %config in the spec file.

obex-data-server.i386: W: summary-not-capitalized a D-Bus service for Obex access
Summary doesn't begin with a capital letter.

obex-data-server.i386: W: no-url-tag
The URL tag is missing.

Comment 9 Parag AN(पराग) 2008-01-19 22:49:45 EST
I think you need to add BR: python also as build log showed me
usr/lib/rpm/pythondeps.sh: line 8: python: command not found

See http://koji.fedoraproject.org/koji/getfile?taskID=360278&name=build.log
Comment 10 Bastien Nocera 2008-01-20 06:06:52 EST
(In reply to comment #8)
> rpmlint reported following =>
> obex-data-server.i386: W: non-conffile-in-etc
> /etc/dbus-1/system.d/obex-data-server.conf
> A non-executable file in your package is being installed in /etc, but is not
> a configuration file. All non-executable files in /etc should be configuration
> files. Mark the file as %config in the spec file.

That's expected, it's not a configuration file (ie. it shouldn't be modified).

> obex-data-server.i386: W: summary-not-capitalized a D-Bus service for Obex access
> Summary doesn't begin with a capital letter.

Remove the "a".

> obex-data-server.i386: W: no-url-tag
> The URL tag is missing.

Added a link to the upstream blog.

(In reply to comment #9)
> I think you need to add BR: python also as build log showed me
> usr/lib/rpm/pythondeps.sh: line 8: python: command not found
> 
> See http://koji.fedoraproject.org/koji/getfile?taskID=360278&name=build.log

That's a missing dependency in rpmbuild, not in my package.
Comment 11 Bastien Nocera 2008-01-20 06:09:40 EST
I updated the spec file, and made the dbus conf file a conffile, although I'm
not sure it should be...

http://people.redhat.com/bnocera/obex-data-server/obex-data-server.spec
Comment 12 Parag AN(पराग) 2008-01-20 22:32:18 EST
Review:
+ package builds in mock (rawhide i386).
- rpmlint is silent for SRPM But NOT for RPM.
obex-data-server.i386: W: conffile-without-noreplace-flag
/etc/dbus-1/system.d/obex-data-server.conf
==> Ok 
+ source files match upstream url though got different checksum
Packaged tarball => 765b49276d3f21858cdf7d29f301ae48 
obex-data-server-16012007.tar.bz2
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ Compiler flags used correctly.
+ defattr usage is correct.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ Package obex-data-server-0.01-5.16012007.fc9 =>
  Provides: config(obex-data-server) = 0.01-5.16012007.fc9
  Requires: config(obex-data-server) = 0.01-5.16012007.fc9 libbluetooth.so.2
libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libc.so.6(GLIBC_2.3.4)
libc.so.6(GLIBC_2.4) libdbus-1.so.3 libdbus-glib-1.so.2 libglib-2.0.so.0
libgobject-2.0.so.0 libopenobex.so.1 libusb-0.1.so.4 

+ Not a GUI APP.
APPROVED
Comment 13 Bastien Nocera 2008-01-21 05:27:04 EST
New Package CVS Request
=======================
Package Name: obex-data-server
Short Description: D-Bus service for Obex access
Owners: hadess
Branches: devel
InitialCC: 
Cvsextras Commits: yes
Comment 14 Kevin Fenzi 2008-01-21 12:17:04 EST
cvs done.
Comment 15 Bastien Nocera 2008-01-22 09:40:11 EST
In rawhide now. Thanks!

Note You need to log in before you can comment on or make changes to this bug.